Skip to main content
`Ctrl`+`K`

# SphericalRotationSequence

class astropy.modeling.rotations.SphericalRotationSequence(angles, axes_order, name=None, **kwargs)

  Bases: `RotationSequence3D`

  Perform a sequence of rotations about arbitrary number of axes in spherical coordinates.

  Parameters:
    angles `python:list`

      A sequence of angles (in deg).

    axes_order `python:str`

      A sequence of characters (‘x’, ‘y’, or ‘z’) corresponding to the axis of rotation and matching the order in `angles`.

  Attributes Summary

  `n_inputs` | int([x]) -> integer int(x, base=10) -> integer
  `n_outputs` | int([x]) -> integer int(x, base=10) -> integer

  Methods Summary

  `evaluate`(lon, lat, angles) | Apply the rotation to a set of 3D Cartesian coordinates.

  Attributes Documentation

  n_inputs
  n_outputs

  Methods Documentation

  evaluate(lon, lat, angles)

    Apply the rotation to a set of 3D Cartesian coordinates.